import { select, scaleOrdinal } from 'd3';
import { colorLegend } from './colorLegend';

const svg = select('svg');

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon', 'lime', 'orange'])
  .range(['#c11d1d', '#eae600', 'green', 'orange']);

const render = () => {
  colorLegend(svg, {
    colorScale,
    height: +svg.attr('height')
  });
};

render();